<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_script_client">
    <sys_script_client action="INSERT_OR_UPDATE">
        <active>true</active>
        <applies_extended>false</applies_extended>
        <condition/>
        <description>Set item type automatically for mobile devices.</description>
        <field>cmdb_ci</field>
        <global>true</global>
        <isolate_script>true</isolate_script>
        <messages/>
        <name>Set Loaner Item Type</name>
        <order/>
        <script><![CDATA[function onChange(control, oldValue, newValue, isLoading, isTemplate) {
	if (isLoading)
		return;
	
	g_form.getReference('cmdb_ci', checkName);
	
	function checkName(ci) {
		var name = ci.name + '';
		if (name.match(/.*blackberry.*/i) || name.match(/.*iphone.*/i) || name.match(/.*android.*/i)) {
			g_form.setValue('item_type', 'cmdb_ci_mobile_device', 'Mobile Phone');
			g_form.setReadOnly('item_type', true);
		} else {
			g_form.setReadOnly('item_type', false);
		}
	}
}
]]></script>
        <sys_class_name>sys_script_client</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-27 09:01:01</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_domain_path>/</sys_domain_path>
        <sys_id>5677b110c13b49107f44b8f78cf735ae</sys_id>
        <sys_mod_count>1</sys_mod_count>
        <sys_name>Set Loaner Item Type</sys_name>
        <sys_overrides/>
        <sys_package display_value="Loaner Request" source="x_cdltd_loaner_req">3773add0c1b749107f44b8f78cf73514</sys_package>
        <sys_policy/>
        <sys_scope display_value="Loaner Request">3773add0c1b749107f44b8f78cf73514</sys_scope>
        <sys_update_name>sys_script_client_5677b110c13b49107f44b8f78cf735ae</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-27 09:03:56</sys_updated_on>
        <table>x_cdltd_loaner_req_loaner_request</table>
        <type>onChange</type>
        <ui_type>0</ui_type>
        <view/>
    </sys_script_client>
</record_update>
